This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 241190 - mount.nfs errors out in nfs-utils -19.el5 on x86_64
mount.nfs errors out in nfs-utils -19.el5 on x86_64
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nfs-utils (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-24 08:19 EDT by Jeff Layton
Modified: 2014-06-18 03:36 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0651
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 12:15:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch -- fix args for chk_mountpoint (322 bytes, patch)
2007-05-24 08:19 EDT, Jeff Layton
no flags Details | Diff

  None (edit)
Description Jeff Layton 2007-05-24 08:19:12 EDT
With any nfs-utils > -18.el5, mount.nfs errors out on x86_64 when trying to
mount. stracing shows:

lstat("/mnt", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
lstat("/mnt/redhat", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
brk(0)                                  = 0x55556b953000
brk(0x55556b974000)                     = 0x55556b974000
stat(umovestr: Input/output error
0x6b953010, 0x7fff13bbb350)        = -1 EFAULT (Bad address)
write(2, "mount.nfs: Bad address\n", 23mount.nfs: Bad address

The attached patch should fix it.
Comment 1 Jeff Layton 2007-05-24 08:19:12 EDT
Created attachment 155335 [details]
patch -- fix args for chk_mountpoint
Comment 2 RHEL Product and Program Management 2007-05-24 08:23:44 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Steve Dickson 2007-05-30 08:58:52 EDT
Fixed in nfs-utils-1.0.9-20.el5
Comment 9 errata-xmlrpc 2007-11-07 12:15:35 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0651.html

Note You need to log in before you can comment on or make changes to this bug.